// this might look like 'C', but it's really  -*-c++-*-
/* lbmain.h
 *
 * Declaration of class MainBrowserDlg for CFGED
 *
 * Language        : C++
 * Operating System: OS/2 V2.0 and higher
 * Compiler        : GNU GCC V2.1 and higher
 *
 *
 * $Id: lbmain.h,v 1.1 1992/07/17 00:46:59 gruen Exp $
 * $Log: lbmain.h,v $
 * Revision 1.1  1992/07/17  00:46:59  gruen
 * Initial revision
 *
 *
 * Copyright (c) 1992 Lutz Grueneberg
 *
 * This library is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.  This library is
 * distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE.  See the GNU Library General Public License for
 * more details. You should have received a copy of the GNU Library
 * General Public License along with this library; if not, write to the
 * Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef LBMAIN_H_INCLUDED
#define LBMAIN_H_INCLUDED

#include "loadcfg.h"

class MainBrowserDlg : public Dialog {
public:
  LoadConfigDlg* pLdCfgDlg;
  CfgFile        cfile;
  ListBox        *plbMain;
  CntrlWindow    *pbtEdit;
  CntrlWindow    *pbtBrowse;
  CntrlWindow    *pbtInsert;
  CntrlWindow    *pbtAppend;
  CntrlWindow    *pbtDelete;

  MainBrowserDlg( StdWindow *pStdWindow, USHORT  idResNew,
                  HWND hwndParentNew=HWND_DESKTOP);
  VOID setState( int stateNew);
  VOID loadCfgList( VOID);
  VOID saveCfgList( VOID);
  VOID editEntry( VOID);
  VOID browseEntry( SHORT iItem);
  virtual MRESULT msgInitDlg( HWND hwnd, USHORT msg, 
			     MPARAM mp1, MPARAM mp2, BOOL *fDoDefault);
  virtual MRESULT msgControl( HWND hwnd, USHORT msg, 
			     MPARAM mp1, MPARAM mp2, BOOL *fDoDefault);
  virtual MRESULT msgCommand( HWND hwnd, USHORT msg, 
			     MPARAM mp1, MPARAM mp2, BOOL *fDoDefault);
};

#endif /* LBMAIN_H_INCLUDED */


